#ifndef CATS_BUTTERFLIES_INLINE_H
#define CATS_BUTTERFLIES_INLINE_H

#include <math.h>
#include <stdbool.h>

#include "butterflies_main.h"
#include "modules/module_header.h"
#include "inline_butterflies.h"


static inline bool bf_cell_excluded_by_generation(const struct cats_grid *grid, cats_dt_coord row, cats_dt_coord col)
{
        const int module_id = CATS_MODULE_ID;
        const struct grid_data_butterflies *data = grid->grid_modules[module_id].module_data;
        float generations = butterflies_get_generations(data, row, col);
        if (data->generation_current == 0.0 || data->generation_current > (int32_t) ceilf(generations)) return true;
        return false;
}

#endif //CATS_BUTTERFLIES_INLINE_H
